Subject: Re: bug#5359: 23.1.91; CRITICAL BUG: process-send-region hangs ntEmacs if region >64K

From: Andrew Hyatt <[email-masked]>
Date: Wed, 03 Aug 2016 22:08:45 -0400

Eli Zaretskii <[email-masked]> writes:

>> From: [email-masked]
>> Date: Wed, 06 Jul 2016 19:49:26 -0400
>> Cc: [email-masked]
>> 
>> I tried from emacs -Q
>> 
>> (dotimes (i (/ (* 65 1024) 80))
>>   (insert (make-string 80 ?x) ?\n))
>> 
>> ;; I have cat.exe in PATH due to running from MSYS.
>> (progn (setq process (start-process "test" "tempbuff" "cat"))
>>        (process-send-region process (point-min) (point-max)))
>> 
>> Didn't hang.  Maybe it's fixed?
>
> Most probably.  This area saw quite some improvement in Emacs 24.5.

Also didn't hang for me.  Due to no one being able to reproduce this in
almost a month, I'll close this out as unreproducible.